#!/usr/bin/bash

# Given a folder of module folders where the module folder name is the module 
# name, and the module folder contains only a properly formatted src directory,
# package all modules into zips and move them into a deployment directory.

DEPLOY_DIR=deployments

dirs=`ls -d */ | cut -d'/' -f1 | grep -v $DEPLOY_DIR`

mkdir -p $DEPLOY_DIR

for dir in $dirs; do
	echo ">> $dir"
	
	cd $dir
	
	zip -r "$dir.zip" src
	mv "$dir.zip" ../$DEPLOY_DIR/
	
	cd ..
done

echo ">> deployed"
ls $DEPLOY_DIR